Skip to main content

Create Service Request History: RealPage Partner Exchange

POSThttps://api.propexo.com/v1/service-request-history/realpage_rpx/

Create Service Request History: RealPage Partner Exchange. The only field we can add on a service request history record is the status change. RealPage Partner Exchange only allows adding notes to a service request history record via their UI.

MethodInterface
UpdateServiceRequestFacilities
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    service_request_idstringrequired

    The Propexo unique identifier for the service request

    status_rawstringrequired

    The raw status associated with the service request history

    Show 4 enum values
    In ProgressOn HoldCanceledComplete

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    service_request_idstringrequired

    The Propexo unique identifier for the service request

    status_rawstringrequired

    The raw status associated with the service request history

    Show 4 enum values
    In ProgressOn HoldCanceledComplete

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-request-history/realpage_rpx/
curl -X POST https://api.propexo.com/v1/service-request-history/realpage_rpx/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"service_request_id": "string",
"status_raw": "In Progress"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"service_request_id": "string",
"status_raw": "In Progress"
}
}